org.apache.flume.conf

## Class FlumeConfiguration

- java.lang.Object
- - org.apache.flume.conf.FlumeConfiguration

-     public class FlumeConfiguration
      extends Object

  FlumeConfiguration is an in memory representation of the hierarchical configuration namespace required by the ConfigurationProvider. This class is instantiated with a map or properties object which is parsed to construct the hierarchy in memory. Once the entire set of properties have been parsed and populated, a validation routine is run that identifies and removes invalid components.

  See Also:
    `ConfigurationProvider`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FlumeConfiguration.AgentConfiguration`
    `static class` | `FlumeConfiguration.ComponentNameAndConfigKey`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INDENTSTEP`
    `static String` | `NEWLINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlumeConfiguration(Map<String,String> properties)` Creates a populated Flume Configuration object.
    `FlumeConfiguration(Properties properties)` Deprecated. please use the other constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<FlumeConfigurationError>` | `getConfigurationErrors()`
    `FlumeConfiguration.AgentConfiguration` | `getConfigurationFor(String hostname)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NEWLINE

          public static final String NEWLINE

    - #### INDENTSTEP

          public static final String INDENTSTEP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FlumeConfiguration

          @Deprecated
          public FlumeConfiguration(Properties properties)

      Deprecated. please use the other constructor
      Creates a populated Flume Configuration object.

    - #### FlumeConfiguration

          public FlumeConfiguration(Map<String,String> properties)

      Creates a populated Flume Configuration object.

  - ### Method Detail

    - #### getConfigurationErrors

          public List<FlumeConfigurationError> getConfigurationErrors()

    - #### getConfigurationFor

          public FlumeConfiguration.AgentConfiguration getConfigurationFor(String hostname)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.